package com.jeeplus.modules.sg.fund.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.sg.managementcenter.project.entity.BasicInformation;

import java.util.List;

/**
 * 转资模块实体类
 * */
public class Fund extends ActEntity<Fund> {
    //工程编号
    private String projectId;
    //项目定义号查询list
    private String[] projectIdList;
    //项目定义描述
    private String projectName;
    //储备项目名称
    private String reserveProjectName;
    //wbs编码
    private String wbsEncoding;
    //需要填写多少资产卡片号
    private String wbsNumber;
    //资产卡片号
    private String assetCardNumber;
    //项目基础信息
    private BasicInformation basicInformation;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String[] getProjectIdList() {
        return projectIdList;
    }

    public void setProjectIdList(String[] projectIdList) {
        this.projectIdList = projectIdList;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getWbsEncoding() {
        return wbsEncoding;
    }

    public void setWbsEncoding(String wbsEncoding) {
        this.wbsEncoding = wbsEncoding;
    }

    public String getWbsNumber() {
        return wbsNumber;
    }

    public void setWbsNumber(String wbsNumber) {
        this.wbsNumber = wbsNumber;
    }

    public String getAssetCardNumber() {
        return assetCardNumber;
    }

    public void setAssetCardNumber(String assetCardNumber) {
        this.assetCardNumber = assetCardNumber;
    }

    public BasicInformation getBasicInformation() {
        return basicInformation;
    }

    public void setBasicInformation(BasicInformation basicInformation) {
        this.basicInformation = basicInformation;
    }
}
